# apmd is built on %{ix86} and ppc
%define apmd_archs %{ix86} ppc

%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.2.0
%define libgnomeui_version 2.3.0
%define gnome_panel_version 2.5.91
%define libgtop2_version 2.5.0
%define gail_version 1.2.0
%define libbonoboui_version 2.3.0
%define gstreamer_plugins_version 0.7.6-2
%define libxklavier_version 0.97
%define apmd_version 3.0.2-22

%define po_package gnome-applets-2.0

Summary:        Small applications for the GNOME panel.
Name:     	gnome-applets
Version: 	2.8.0
Release: 	5
Epoch:          1
License:	GPL
Group:          User Interface/Desktops
Source: 	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.1/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Prereq:         scrollkeeper >= 0.1.4

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  gnome-panel-devel >= %{gnome_panel_version}
BuildRequires:  libgtop2-devel >= %{libgtop2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gail-devel >= %{gail_version}
BuildRequires:  libxklavier-devel >= %{libxklavier_version}
BuildRequires:  gstreamer-plugins-devel >= %{gstreamer_plugins_version}
BuildRequires:  /usr/bin/automake
BuildRequires:  libbonoboui-devel >= %{libbonoboui_version}
%ifarch ${apmd_archs}
BuildRequires:  apmd >= %{apmd_version}
%endif

Requires:	gnome-panel >= %{gnome_panel_version}
Requires:	libxklavier >= %{libxklavier_version}
Requires:	gstreamer-plugins >= %{gstreamer_plugins_version}

# For wireless-applet backwards compat
Requires:       gnome-netstatus >= 2.8.0-2

Obsoletes:      battstat_applet

Source2: omf.make

# Upstream in 2.8.1
Source3: charpick.png
Source4: gnome-eyes.png
Source5: gswitchit-applet.png

Patch1: gnome-applets-2.3.6-ppp-command.patch
# Register ourself globally so that gnome-cd can tell if we are
# running or not.
Patch2: gnome-applets-2.3.6-uniquecd.patch
# Shrink volume applet for msw
Patch3: gnome-applets-2.8.0-themed-mixer-icons.patch
# Activate netstatus for wireless-applet backwards compat (#131652)
Patch4: gnome-applets-2.8.0-use-netstatus-for-wireless.patch
# Fix crash in #134572 - will go upstream
Patch5: gnome-applet-2.8.0-gweather-crash-with-prefs.patch


%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-applets package provides
small utilities for the GNOME panel.

%prep
%ifarch %{apmd_archs}
if ! test -e /usr/lib/libapm.a ; then
    echo "You must have apmd installed"
    exit 1
fi
%endif

%setup -q

cp %{SOURCE2} .

%patch1 -p1 -b .ppp-command
%patch2 -p1 -b .uniquecd
%patch3 -p1 -b .themed-mixer-icons
%patch4 -p1 -b .use-netstatus-for-wireless
%patch5 -p1 -b .gweather-crash-with-prefs

cp %{SOURCE3} charpick/
cp %{SOURCE4} geyes/
cp %{SOURCE5} gswitchit/
cp %{SOURCE5} gswitchit/gswitchit-properties-capplet.png

%build

# .uniquecd patch modifies cdplayer/Makefile.am
# .themed-mixer-icons patch modifies cdplayer/Makefile.am
aclocal
automake
autoconf

%ifarch %{apmd_archs}
%define DisableBattstat ""
%else
%define DisableBattstat "--disable-battstat"
%endif

%configure %{DisableBattstat}
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{po_package}

# Clean up unpackaged files
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

# Remove the wireless applet
rm -rf $RPM_BUILD_ROOT%{_libexecdir}/wireless-applet
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-2.0/ui/GNOME_WirelessApplet.xml
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/wireless
rm -rf $RPM_BUILD_ROOT%{_datadir}/omf/gnome-applets/wireless*.omf
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/wireless-applet
rm -rf $RPM_BUILD_ROOT%{_datadir}/wireless-applet

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
%ifarch %{apmd_archs}
SCHEMAS="battstat.schemas"
%endif
SCHEMAS="$SCHEMAS charpick.schemas drivemount.schemas geyes.schemas gkb.schemas gtik.schemas gweather.schemas mailcheck.schemas mini-commander.schemas mixer.schemas modemlights.schemas multiload.schemas stickynotes.schemas gswitchit.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
%{_libexecdir}/gnome-applets/mc-install-default-macros > /dev/null

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome/gkb
%{_datadir}/gnome/help/*
%{_datadir}/geyes
%{_datadir}/xmodmap
%{_datadir}/gweather
%{_datadir}/stickynotes
%ifarch %{apmd_archs}
%{_datadir}/battstat_applet
%endif
%{_datadir}/gswitchit
%{_datadir}/omf/gnome-applets
%{_datadir}/gen_util
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/*
#%{_libdir}/*.so.*
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/sound/events/*

# These are really devel files, but we don't want a devel package
# for just three files
%{_includedir}/libgswitchit
%{_libdir}/pkgconfig/gswitchit.pc


%changelog
* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> - 2.8.0-5
- Add patch to fix crash with gweather preferences (#134572)

* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> - 2.8.0-4
- Fix mixer icons bugs - #134224 and #134773

* Wed Sep 29 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-3
- Add new icons from upstream

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-2
- Remove the wireless applet and add patch to use the netstatus
  applet for backwards compat. bug #131652.

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0

* Wed Sep  1 2004 Mark McLoughlin <markmc@redhat.com> 2.7.3-2
- Rebuild

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.3-1
- Update to 2.7.3

* Fri Aug 27 2004 Mark McLoughlin <markmc@redhat.com> 2.7.2-2
- Run mc-install-default-macros in %post
- Fixed small-volume patch from Nathan Fredrickson <nathan@silverorange.com>

* Wed Aug 18 2004 Mark McLoughlin <markmc@redhat.com> 2.7.2-1
- Update to 2.7.2

* Wed Aug 11 2004 Mark McLoughlin <markmc@redhat.com> 2.7.1-2
- Remove reference to cdplayer.schemas which has been removed (bug #129490)

* Thu Aug  5 2004 Mark McLoughlin <markmc@redhat.com> 2.7.1-1
- Update to 2.7.1
- Remove battstat-arg patch - upstream now

* Wed Jul 21 2004 Mark McLoughlin <markmc@redhat.com> 1:2.6.2.1-2
- rebuild

* Wed Jul 21 2004 Mark McLoughlin <markmc@redhat.com> 1:2.6.2.1-1
- Update to 2.6.2.1
- Re-do the way we decide whether to build the battstat applet.
  Should fix 122379
- Remove some patches that have gone upstream

* Tue Jun 22 2004 Mark McLoughlin <markmc@redhat.com> 1:2.6.0-8
- Fix typo with apmd requires

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
- Remove ifarch'd buildrequires on apmd

* Thu May 05 2004 Nils Philippsen <nphilipp@redhat.com> 1:2.6.0-5
- fix #120354 (mixer applet forgets channel settings)

* Thu Apr 29 2004 Karsten Hopp <karsten@redhat.de> 1:2.6.0-4
- fix error during update on s390(x) due to missing battery applet

* Mon Apr 19 2004 Mark McLoughlin <markmc@redhat.com> 1:2.6.0-3
- Build battstat on ppc too

* Wed Apr 14 2004 Alex Larsson <alexl@redhat.com> 1:2.6.0-2
- Add gswitchit.schemas to SCHEMAS

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0-1
- Update to 2.6.0

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> 1:2.5.7-4
- rebuild for new gstreamer

* Thu Mar 11 2004 Mark McLoughlin <markmc@redhat.com> 2.5.7-3
- Update Requires/BuildRequires to include gstreamer-plugins

* Thu Mar 11 2004 Mark McLoughlin <markmc@redhat.com> 2.5.7-2
- Rebuild

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.5.7-1
- Update to 2.5.7
- Add gnome-panel-devel BuildRequires

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.6-1
- update to 2..5.6

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.4-1
- update to 2.5.4

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.1-1
- 2.4.1

* Wed Aug 27 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.7-1
- Add missing schemas to post (fixes #102710)
- Update to 2.3.7
- Add ifnarch apmd buildreq

* Mon Aug 18 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.6-1
- update for gnome 2.3

* Mon Jul 28 2003 Havoc Pennington <hp@redhat.com> 1:2.2.2-3
- require the newer libgtop2 so it rebuilds vs. correct soname

* Fri Jul 18 2003  <timp@redhat.com> 1:2.2.2-2
- rebuild against new libgtop

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1:2.2.2-1
- 2.2.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-8
- change the volume applet size fix patch to work

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Sat Feb 22 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-6
- clamp size of volume applet to 24

* Thu Feb 20 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-5
- rebuild with datadir/wireless-applet and datadir/gen_util, 
  someone got overzealous deleting unpackaged files instead 
  of packaging them. #82279

* Fri Feb 14 2003 Jonathan Blandford <jrb@redhat.com> 1:2.2.0-4
- rebuild to get new gnome-panel

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-3
- nuke buildreq Xft

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 1:2.2.0-2
- fix path in modemlights patch

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-1
- 2.2.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 23 2002 Jeremy Katz <katzj@redhat.com> 1:2.1.3-1
- update to 2.1.3

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- require newer panel, libgtop2
- require newer libgnomeui, libbonoboui

* Mon Dec  2 2002 Tim Powers <timp@redhat.com> 1:2.1.1-2
- remove unpackaged files from the buildroot

* Mon Dec  2 2002 Tim Powers <timp@redhat.com> 1:2.1.1-1
- update to 2.1.1
- add x86_64 to no_apm_archs

* Tue Aug 27 2002 Owen Taylor <otaylor@redhat.com>
- Register the cd player per-device (#72645).

* Fri Aug 23 2002 Owen Taylor <otaylor@redhat.com>
- Keep the CD device closed except when actually accessing it
  (bugzilla.gnome.org 91512)
- Register CD player so we can start only one CD player
  for display from magicdev. (#39208)

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- add ppc ppc64 to no_apm_arches #67564

* Wed Jul 31 2002 Nalin Dahyabhai <nalin@redhat.com>
- include applets in libexecdir

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1, and build with new gail
- 69971 (use correct ppp on/off commands)
- remove scrollkeeper dtd-compliance patch, 
  fixed upstream apparently (patch doesn't apply anymore)

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix %%find_lang

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs
- remove temporary hack for too-old libgnomeui
- add /etc/sound stuff to file list

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- remove panel-menu.schemas from the list of schemas.
- 2.0.0

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.105.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.103.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.100.0

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- GNOME 2 version

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Thu Apr 11 2002 Havoc Pennington <hp@redhat.com>
- default battstat applet to vertical mode

* Thu Mar 21 2002 Havoc Pennington <hp@redhat.com>
- add patch to adapt to yahoo web site changes, #61561

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- remove requires libghttp4

* Mon Mar  4 2002 Havoc Pennington <hp@redhat.com>
- no apm on sparc, #60538
- obsolete battstat_applet for Ximian compat, #51427
- use ifup/ifdown ppp0 instead of pppon/pppoff for default 
  ppp command in modemlights, #54199

* Tue Feb 12 2002 Havoc Pennington <hp@redhat.com>
- 1.4.0.5, cross fingers
- add gconf-devel buildreq, though this is dubious as hell
  (pulled in by gtik using gnome-vfs, but if gtik actually
   accessed gconf it would fail due to gnorba conflict)
- patch totally busted charpick Makefile.am cflags override

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Thu Aug 30 2001 Alex Larsson <alexl@redhat.com>
- Removed annoying broken battery full dialog #52861
- Also fix mixer applet for USB sound #52603

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com>
- Own /usr/share/gnome/gkb and /usr/share/gnome/help/*

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- add some build requires
- remove ifarch build requires, replace with check in setup

* Wed Jul 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- sanitize specfile to RH style
- do not require apmd for s390 s390x

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Sun Jul 08 2001 Havoc Pennington <hp@redhat.com>
- remove extra .desktop file for battstat

* Sat Jul 07 2001 Havoc Pennington <hp@redhat.com>
- add battstat applet
- rearrange .desktop files for applets

* Tue Jun 12 2001 Than Ngo <than@redhat.com>
- fix isdn stuff to build against kernel-2.4.x
- use %%{_tmppath}

* Mon Jun 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- allow newer gettext versions

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Mon Feb 12 2001 Akira TAGOH <tagoh@redhat.com>
- Updated Japanese translation (ja.po, .desktop).
  Note: Please remove Source[23]: when release the next upstream version.

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.4

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Update Epoch

* Wed Jul 19 2000 Jonathan Blandford <jrb@redhat.com>
- Change slashapp to gnome-news app.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com
- %%defattr fixes
- Remove Docdir:

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- 1.2.1
- use %%makeinstall
